Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Instances and minimal complete definitions | Public Types | Public Member Functions | List of all members
ranges::v3::view::for_each_fn Struct Reference

## Description

Lazily applies an unary function to each element in the source range that returns another range (possibly empty), flattening the result.

## Synopsis of methods
constexpr view< for_each_fn > | for_each {}

## Public Types
template<typename Rng , typename Fun >
using | Concept = concepts::models< Concept_, Rng, Fun >

## Public Member Functions
template<typename Rng , typename Fun , requires = (Concept<Rng, Fun>())>
auto | operator() (Rng &&rng, Fun fun) const -> decltype(join(transform(static_cast< Rng && >(rng), std::move(fun))))